---
win_resources:
  ansible_share:
    - name: "{{ gs_software_repository_ansible['username'] }}"
      type: win_user
      password: "{{ gs_software_repository_ansible['password'] }}"
      groups: Users
    - name: Create share dirs
      type: win_file
      resources:
        - path: "{{ gs_software_repository_ansible['path'] }}"
          state: directory
        - path: "{{ gs_cacerts2_share['path'] }}"
          state: directory
    - name: Create shares
      type: win_share
      defaults:
        # list: true
        # read: true
        write: true
        full: "{{ gs_software_repository_ansible['username'] }},vagrant"
      resources:
        - name: "{{ gs_software_repository_ansible['name'] }}"
          path: "{{ gs_software_repository_ansible['path'] }}"
          description: Ansible Software Repository Share
        - name: "{{ gs_cacerts2_share['name'] }}"
          path: "{{ gs_cacerts2_share['path'] }}"
          description: Ansible Certificates Share
    - name: Create test downloads
      type: win_get_url
      resources: "{{ gs_dev_software_repository_tomcat_downloads }}"
